Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

## Class TreeContentMergeViewerCreator

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.TreeContentMergeViewerCreator

All Implemented Interfaces:
  `org.eclipse.compare.IViewerCreator`

    public class TreeContentMergeViewerCreator
    extends Object
    implements org.eclipse.compare.IViewerCreator

A `IViewerCreator` that creates `TreeContentMergeViewer`.

### Constructor Summary

Constructors
`TreeContentMergeViewerCreator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.viewers.Viewer` `createViewer​(org.eclipse.swt.widgets.Composite parent, org.eclipse.compare.CompareConfiguration config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeContentMergeViewerCreator

    public TreeContentMergeViewerCreator()

### Method Detail

#### createViewer

    public org.eclipse.jface.viewers.Viewer createViewer​(org.eclipse.swt.widgets.Composite parent,
                                                         org.eclipse.compare.CompareConfiguration config)

Specified by:
  `createViewer` in interface `org.eclipse.compare.IViewerCreator`
See Also:
  `IViewerCreator.createViewer(org.eclipse.swt.widgets.Composite, org.eclipse.compare.CompareConfiguration)`